;Explanatory notes after the semicolon
; In addition to modifying the numeric parameters after X, Y, Z, P, I, D, S, T, B to match your machine, do not change other places.
;
M1016 T0     ;Machine type selection 0:XYZ structureRepRap Prusa i3MakeBotUltimaker   1:HBOT structure(CoreXY)   2DELTADelta KosselRostock
;
;Related parameter configuration of DELTA, if your machine is not a delta structure, you can ignore these 4 parameters.
M1017 D219.7 ;Carbon fiber rod length, that is the distance between centers of screw fixed place at both ends of the rod
M1017 S145   ;The horizontal distance from the print head to the vertical sliding uprights
M1017 E26.5  ;The horizontal distance from the print head to the fixed place at the lower end of the carbon fiber rod
M1017 C20    ;The horizontal distance from the fixed place at the upper end of the carbon fiber rod to the vertical sliding uprights
;
M1001 X310       ;Print size of each axis, maximum motion range of each axis.   If it is a DELTA structure, this value corresponds to the XY axis radius
M1001 Y305
M1001 Z400     ;*******************If it is a DELTA structure, this value corresponds to the height of the print head to the printing platform after the Z axis is homed
;
;Step number per mm of each axis motor, calculation method L:
;Step number per mm of XY axis motor = step number per turn of XY motorthe motor with step angle of 1.8 degrees has a value of 200*motor subdivisiongenerally 16/space width of synchronous belt/synchronous gear number
;Step number per mm of Z-axis screw motor = step number per turn of Z motorthe motor with step angle of 1.8 degrees has a value of 200*motor subdivisiongenerally 16/screw lead
;Step number per mm of E-axis screw motor = step number per turn of E motorthe motor with step angle of 1.8 degrees has a value of 200*motor subdivisiongenerally 16/perimeter of extrusion wheel
M92 X80     
M92 Y80
M92 Z400
M92 E94
;
M201 X500     ;Maximum acceleration of each axis
M201 Y500
M201 Z100
M201 E3000
;
M204 S500.0     ;Default acceleration
M204 T500.0     ;Default pumpback acceleration
;
M205 S0.0        ;Minimum speed
M205 T0.0        ;Minimum operating speed
M205 B2000       ;Minimum time to execute if a block is empty
;
M205 X20.0       ;Rate of acceleration change of each axis jerk
M205 Z0.4        ;
M205 E5.0        ;
;
;M206 X0          ;add_homeing
;M206 Y0
;M206 Z0
;
M301 P22.2        ;Temperature PID adjustment proportion coefficient P
M301 I1.08        ;Temperature PID adjustment integral coefficient I
M301 D144         ;Temperature PID adjustment differential coefficient  D
;  
M1002 X500     ;Maximum speed of each axis
M1002 Y500
M1002 Z4
M1002 E45
;
M1003 X0     ;Each motor direction control, since the origin positions of different machine structures are different, set the each axis movement direction by adjusting 0 or 1 of each axis motor direction. 1 corresponds to the forward on the screen, 0 corresponds to the inverse on the screen
M1003 Y0
M1003 Z1
M1003 E1
;
M1004 X0     ;Status when each axis limit switch or limit sensor is not triggered, if it is off-state when your limit switch is not triggered, set to 1, if it is short-state when your limit switch is not triggered, set to 0. Also available via "System-machine setting - Motion configuration - Limit switch status configuration"
M1004 Y0 
M1004 Z0
M1004 E1
;
M1005 S265     ;Maximum temperature of extrusion head
M1006 S85     ;Maximum temperature of hot bed
;
M1007 S200     ;Preheat temperature of PLA print head
M1008 S230     ;Preheat temperature of ABS print head
M1009 S80      ;Preheat temperature of PLA hot bed
M1010 S110     ;Preheat temperature of ABS hot bed
;
M1011 T0     ;Language type selection  0:simplified Chinese  1:traditional Chinese  2:English
;
M1012 T1     ;Switch for signal noise cancellation of temperature sensor     0:OFF   1:ON
;
M1013 T1     ;Sensor type selection   0:Thermocouple    1:Thermistor  
;
M1014 T1     ;Switch for break detection function     0:OFF   1:ON
;
M1015 T1     ;Switch for automatic shutdown function after printing   0:OFF   1:ON      Users with module of continuing to print after power-off can choose to open
;
M1018 T1     ;Automatic leveling limit status  Delta connects Z+
;
M1019 T0     ;Leveling compensation
;
M1020 T1     ;Number of print head sensors    Single head single heating and double head single heating select 1   Double head double heating select 2
;
M1021 T1     ;0 without backup power 1 with backup power
;
M1022 S6     ;Pulse width setting     6: 6*3=18us
;
M1023 S30    ;Each axis movement distance after pause, click to pause or material break, print head will remove the printed object, how much to remove, it is set by this value
;
;M1024 S5     ;At the beginning of printing, after the print head moves to the first point of the platform, first extrude a piece of material and then print, which can help the material better paste on the platform.This is the length of the extruded material(mm)
;
M1026 S0     ;Layer height
;
M1027 X0     ;Each axis homing offset
M1027 Y0
M1027 Z0 
;
M1028 S0      ;Z-axis rising height when xy axis is homed

M1029 X-1      ;XYZ homing direction   -1 negative direction  1 positive direction
M1029 Y-1      ;
M1029 Z-1      ;
;
M1030 S185    ;Minimum extrusion temperature
;
M1031 S5      ;Extrusion length
;

M1032 S5      ;Extrusion speed
;

;M1998 ;Set all of the above parameters to restore factory settings, that is to say, after clicking on the screen to restore factory settings, then the above data. After setting parameters for a machinethis command can be masked when given to the user
;
M1999 ;Save all parameters to flash
